<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:23 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>DataTypesPackage (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DataTypesPackage (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DataTypesPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html" target="_top">Frames</a></li>
<li><a href="DataTypesPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes</div>
<h2 title="Interface DataTypesPackage" class="title">Interface DataTypesPackage</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/DataTypesPackageImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl">DataTypesPackageImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">DataTypesPackage</span>
extends org.eclipse.emf.ecore.EPackage</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Package</b> for the model.
 It contains accessors for the meta objects to represent
 <ul>
 <li>each class,</li>
 <li>each feature of each class,</li>
 <li>each enum,</li>
 <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><code>DataTypesFactory</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes">DataTypesPackage.Literals</a></span></code>
<div class="block">Defines literals for the meta objects that represent
 
 each class,
 each feature of each class,
 each enum,
 and each data type
 
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#BOUNDED_SUBTYPE">BOUNDED_SUBTYPE</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/BoundedSubtypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl"><code><em>Bounded Subtype</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#BOUNDED_SUBTYPE__BASE_DATA_TYPE">BOUNDED_SUBTYPE__BASE_DATA_TYPE</a></span></code>
<div class="block">The feature id for the '<em><b>Base Data Type</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#BOUNDED_SUBTYPE__BASE_TYPE">BOUNDED_SUBTYPE__BASE_TYPE</a></span></code>
<div class="block">The feature id for the '<em><b>Base Type</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#BOUNDED_SUBTYPE__IS_MAX_OPEN">BOUNDED_SUBTYPE__IS_MAX_OPEN</a></span></code>
<div class="block">The feature id for the '<em><b>Is Max Open</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#BOUNDED_SUBTYPE__IS_MIN_OPEN">BOUNDED_SUBTYPE__IS_MIN_OPEN</a></span></code>
<div class="block">The feature id for the '<em><b>Is Min Open</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#BOUNDED_SUBTYPE__MAX_VALUE">BOUNDED_SUBTYPE__MAX_VALUE</a></span></code>
<div class="block">The feature id for the '<em><b>Max Value</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#BOUNDED_SUBTYPE__MIN_VALUE">BOUNDED_SUBTYPE__MIN_VALUE</a></span></code>
<div class="block">The feature id for the '<em><b>Min Value</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#BOUNDED_SUBTYPE_FEATURE_COUNT">BOUNDED_SUBTYPE_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Bounded Subtype</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#CHOICE_TYPE">CHOICE_TYPE</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/ChoiceTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl"><code><em>Choice Type</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#CHOICE_TYPE__BASE_DATA_TYPE">CHOICE_TYPE__BASE_DATA_TYPE</a></span></code>
<div class="block">The feature id for the '<em><b>Base Data Type</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#CHOICE_TYPE__CHOICE_ATTRIB">CHOICE_TYPE__CHOICE_ATTRIB</a></span></code>
<div class="block">The feature id for the '<em><b>Choice Attrib</b></em>' reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#CHOICE_TYPE__DEFAULT_ATTRIB">CHOICE_TYPE__DEFAULT_ATTRIB</a></span></code>
<div class="block">The feature id for the '<em><b>Default Attrib</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#CHOICE_TYPE_FEATURE_COUNT">CHOICE_TYPE_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Choice Type</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#COLLECTION_TYPE">COLLECTION_TYPE</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/CollectionTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl"><code><em>Collection Type</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#COLLECTION_TYPE__BASE_DATA_TYPE">COLLECTION_TYPE__BASE_DATA_TYPE</a></span></code>
<div class="block">The feature id for the '<em><b>Base Data Type</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#COLLECTION_TYPE__COLLECTION_ATTRIB">COLLECTION_TYPE__COLLECTION_ATTRIB</a></span></code>
<div class="block">The feature id for the '<em><b>Collection Attrib</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#COLLECTION_TYPE_FEATURE_COUNT">COLLECTION_TYPE_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Collection Type</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes">DataTypesPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the package.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#eNAME">eNAME</a></span></code>
<div class="block">The package name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#eNS_PREFIX">eNS_PREFIX</a></span></code>
<div class="block">The package namespace name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#eNS_URI">eNS_URI</a></span></code>
<div class="block">The package namespace URI.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#INTERVAL_TYPE">INTERVAL_TYPE</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/IntervalTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl"><code><em>Interval Type</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#INTERVAL_TYPE__BASE_DATA_TYPE">INTERVAL_TYPE__BASE_DATA_TYPE</a></span></code>
<div class="block">The feature id for the '<em><b>Base Data Type</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#INTERVAL_TYPE__INTERVAL_ATTRIB">INTERVAL_TYPE__INTERVAL_ATTRIB</a></span></code>
<div class="block">The feature id for the '<em><b>Interval Attrib</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#INTERVAL_TYPE_FEATURE_COUNT">INTERVAL_TYPE_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Interval Type</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#TUPLE_TYPE">TUPLE_TYPE</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/TupleTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl"><code><em>Tuple Type</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#TUPLE_TYPE__BASE_DATA_TYPE">TUPLE_TYPE__BASE_DATA_TYPE</a></span></code>
<div class="block">The feature id for the '<em><b>Base Data Type</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#TUPLE_TYPE__TUPLE_ATTRIB">TUPLE_TYPE__TUPLE_ATTRIB</a></span></code>
<div class="block">The feature id for the '<em><b>Tuple Attrib</b></em>' reference list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#TUPLE_TYPE_FEATURE_COUNT">TUPLE_TYPE_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Tuple Type</em>' class.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype_Base_DataType--">getBoundedSubtype_Base_DataType</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getBase_DataType--"><code><em>Base Data Type</em></code></a>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype_BaseType--">getBoundedSubtype_BaseType</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getBaseType--"><code><em>Base Type</em></code></a>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype_IsMaxOpen--">getBoundedSubtype_IsMaxOpen</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#isMaxOpen--"><code><em>Is Max Open</em></code></a>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype_IsMinOpen--">getBoundedSubtype_IsMinOpen</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#isMinOpen--"><code><em>Is Min Open</em></code></a>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype_MaxValue--">getBoundedSubtype_MaxValue</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getMaxValue--"><code><em>Max Value</em></code></a>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype_MinValue--">getBoundedSubtype_MinValue</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getMinValue--"><code><em>Min Value</em></code></a>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype--">getBoundedSubtype</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><code><em>Bounded Subtype</em></code></a>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getChoiceType_Base_DataType--">getChoiceType_Base_DataType</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/ChoiceType.html#getBase_DataType--"><code><em>Base Data Type</em></code></a>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getChoiceType_ChoiceAttrib--">getChoiceType_ChoiceAttrib</a></span>()</code>
<div class="block">Returns the meta object for the reference list '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/ChoiceType.html#getChoiceAttrib--"><code><em>Choice Attrib</em></code></a>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getChoiceType_DefaultAttrib--">getChoiceType_DefaultAttrib</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/ChoiceType.html#getDefaultAttrib--"><code><em>Default Attrib</em></code></a>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getChoiceType--">getChoiceType</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/ChoiceType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><code><em>Choice Type</em></code></a>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getCollectionType_Base_DataType--">getCollectionType_Base_DataType</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/CollectionType.html#getBase_DataType--"><code><em>Base Data Type</em></code></a>'.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getCollectionType_CollectionAttrib--">getCollectionType_CollectionAttrib</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/CollectionType.html#getCollectionAttrib--"><code><em>Collection Attrib</em></code></a>'.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getCollectionType--">getCollectionType</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/CollectionType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><code><em>Collection Type</em></code></a>'.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes">DataTypesFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getDataTypesFactory--">getDataTypesFactory</a></span>()</code>
<div class="block">Returns the factory that creates the instances of the model.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getIntervalType_Base_DataType--">getIntervalType_Base_DataType</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/IntervalType.html#getBase_DataType--"><code><em>Base Data Type</em></code></a>'.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getIntervalType_IntervalAttrib--">getIntervalType_IntervalAttrib</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/IntervalType.html#getIntervalAttrib--"><code><em>Interval Attrib</em></code></a>'.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getIntervalType--">getIntervalType</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/IntervalType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><code><em>Interval Type</em></code></a>'.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getTupleType_Base_DataType--">getTupleType_Base_DataType</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/TupleType.html#getBase_DataType--"><code><em>Base Data Type</em></code></a>'.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getTupleType_TupleAttrib--">getTupleType_TupleAttrib</a></span>()</code>
<div class="block">Returns the meta object for the reference list '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/TupleType.html#getTupleAttrib--"><code><em>Tuple Attrib</em></code></a>'.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getTupleType--">getTupleType</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/TupleType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><code><em>Tuple Type</em></code></a>'.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNAME</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNAME</pre>
<div class="block">The package name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.eNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_URI</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNS_URI</pre>
<div class="block">The package namespace URI.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.eNS_URI">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_PREFIX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_PREFIX</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNS_PREFIX</pre>
<div class="block">The package namespace name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.eNS_PREFIX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes">DataTypesPackage</a> eINSTANCE</pre>
<div class="block">The singleton instance of the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="BOUNDED_SUBTYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BOUNDED_SUBTYPE</h4>
<pre>static final&nbsp;int BOUNDED_SUBTYPE</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/BoundedSubtypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl"><code><em>Bounded Subtype</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/BoundedSubtypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl"><code>BoundedSubtypeImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/DataTypesPackageImpl.html#getBoundedSubtype--"><code>DataTypesPackageImpl.getBoundedSubtype()</code></a>, 
<a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.BOUNDED_SUBTYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BOUNDED_SUBTYPE__BASE_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BOUNDED_SUBTYPE__BASE_TYPE</h4>
<pre>static final&nbsp;int BOUNDED_SUBTYPE__BASE_TYPE</pre>
<div class="block">The feature id for the '<em><b>Base Type</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.BOUNDED_SUBTYPE__BASE_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BOUNDED_SUBTYPE__MIN_VALUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BOUNDED_SUBTYPE__MIN_VALUE</h4>
<pre>static final&nbsp;int BOUNDED_SUBTYPE__MIN_VALUE</pre>
<div class="block">The feature id for the '<em><b>Min Value</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.BOUNDED_SUBTYPE__MIN_VALUE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BOUNDED_SUBTYPE__MAX_VALUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BOUNDED_SUBTYPE__MAX_VALUE</h4>
<pre>static final&nbsp;int BOUNDED_SUBTYPE__MAX_VALUE</pre>
<div class="block">The feature id for the '<em><b>Max Value</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.BOUNDED_SUBTYPE__MAX_VALUE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BOUNDED_SUBTYPE__IS_MIN_OPEN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BOUNDED_SUBTYPE__IS_MIN_OPEN</h4>
<pre>static final&nbsp;int BOUNDED_SUBTYPE__IS_MIN_OPEN</pre>
<div class="block">The feature id for the '<em><b>Is Min Open</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.BOUNDED_SUBTYPE__IS_MIN_OPEN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BOUNDED_SUBTYPE__IS_MAX_OPEN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BOUNDED_SUBTYPE__IS_MAX_OPEN</h4>
<pre>static final&nbsp;int BOUNDED_SUBTYPE__IS_MAX_OPEN</pre>
<div class="block">The feature id for the '<em><b>Is Max Open</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.BOUNDED_SUBTYPE__IS_MAX_OPEN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BOUNDED_SUBTYPE__BASE_DATA_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BOUNDED_SUBTYPE__BASE_DATA_TYPE</h4>
<pre>static final&nbsp;int BOUNDED_SUBTYPE__BASE_DATA_TYPE</pre>
<div class="block">The feature id for the '<em><b>Base Data Type</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.BOUNDED_SUBTYPE__BASE_DATA_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BOUNDED_SUBTYPE_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BOUNDED_SUBTYPE_FEATURE_COUNT</h4>
<pre>static final&nbsp;int BOUNDED_SUBTYPE_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Bounded Subtype</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.BOUNDED_SUBTYPE_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INTERVAL_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTERVAL_TYPE</h4>
<pre>static final&nbsp;int INTERVAL_TYPE</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/IntervalTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl"><code><em>Interval Type</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/IntervalTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl"><code>IntervalTypeImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/DataTypesPackageImpl.html#getIntervalType--"><code>DataTypesPackageImpl.getIntervalType()</code></a>, 
<a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.INTERVAL_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INTERVAL_TYPE__INTERVAL_ATTRIB">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTERVAL_TYPE__INTERVAL_ATTRIB</h4>
<pre>static final&nbsp;int INTERVAL_TYPE__INTERVAL_ATTRIB</pre>
<div class="block">The feature id for the '<em><b>Interval Attrib</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.INTERVAL_TYPE__INTERVAL_ATTRIB">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INTERVAL_TYPE__BASE_DATA_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTERVAL_TYPE__BASE_DATA_TYPE</h4>
<pre>static final&nbsp;int INTERVAL_TYPE__BASE_DATA_TYPE</pre>
<div class="block">The feature id for the '<em><b>Base Data Type</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.INTERVAL_TYPE__BASE_DATA_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INTERVAL_TYPE_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTERVAL_TYPE_FEATURE_COUNT</h4>
<pre>static final&nbsp;int INTERVAL_TYPE_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Interval Type</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.INTERVAL_TYPE_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="COLLECTION_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COLLECTION_TYPE</h4>
<pre>static final&nbsp;int COLLECTION_TYPE</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/CollectionTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl"><code><em>Collection Type</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/CollectionTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl"><code>CollectionTypeImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/DataTypesPackageImpl.html#getCollectionType--"><code>DataTypesPackageImpl.getCollectionType()</code></a>, 
<a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.COLLECTION_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="COLLECTION_TYPE__COLLECTION_ATTRIB">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COLLECTION_TYPE__COLLECTION_ATTRIB</h4>
<pre>static final&nbsp;int COLLECTION_TYPE__COLLECTION_ATTRIB</pre>
<div class="block">The feature id for the '<em><b>Collection Attrib</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.COLLECTION_TYPE__COLLECTION_ATTRIB">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="COLLECTION_TYPE__BASE_DATA_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COLLECTION_TYPE__BASE_DATA_TYPE</h4>
<pre>static final&nbsp;int COLLECTION_TYPE__BASE_DATA_TYPE</pre>
<div class="block">The feature id for the '<em><b>Base Data Type</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.COLLECTION_TYPE__BASE_DATA_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="COLLECTION_TYPE_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COLLECTION_TYPE_FEATURE_COUNT</h4>
<pre>static final&nbsp;int COLLECTION_TYPE_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Collection Type</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.COLLECTION_TYPE_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CHOICE_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHOICE_TYPE</h4>
<pre>static final&nbsp;int CHOICE_TYPE</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/ChoiceTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl"><code><em>Choice Type</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/ChoiceTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl"><code>ChoiceTypeImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/DataTypesPackageImpl.html#getChoiceType--"><code>DataTypesPackageImpl.getChoiceType()</code></a>, 
<a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.CHOICE_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CHOICE_TYPE__CHOICE_ATTRIB">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHOICE_TYPE__CHOICE_ATTRIB</h4>
<pre>static final&nbsp;int CHOICE_TYPE__CHOICE_ATTRIB</pre>
<div class="block">The feature id for the '<em><b>Choice Attrib</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.CHOICE_TYPE__CHOICE_ATTRIB">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CHOICE_TYPE__DEFAULT_ATTRIB">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHOICE_TYPE__DEFAULT_ATTRIB</h4>
<pre>static final&nbsp;int CHOICE_TYPE__DEFAULT_ATTRIB</pre>
<div class="block">The feature id for the '<em><b>Default Attrib</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.CHOICE_TYPE__DEFAULT_ATTRIB">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CHOICE_TYPE__BASE_DATA_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHOICE_TYPE__BASE_DATA_TYPE</h4>
<pre>static final&nbsp;int CHOICE_TYPE__BASE_DATA_TYPE</pre>
<div class="block">The feature id for the '<em><b>Base Data Type</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.CHOICE_TYPE__BASE_DATA_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CHOICE_TYPE_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHOICE_TYPE_FEATURE_COUNT</h4>
<pre>static final&nbsp;int CHOICE_TYPE_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Choice Type</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.CHOICE_TYPE_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TUPLE_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TUPLE_TYPE</h4>
<pre>static final&nbsp;int TUPLE_TYPE</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/TupleTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl"><code><em>Tuple Type</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/TupleTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl"><code>TupleTypeImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/DataTypesPackageImpl.html#getTupleType--"><code>DataTypesPackageImpl.getTupleType()</code></a>, 
<a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.TUPLE_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TUPLE_TYPE__TUPLE_ATTRIB">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TUPLE_TYPE__TUPLE_ATTRIB</h4>
<pre>static final&nbsp;int TUPLE_TYPE__TUPLE_ATTRIB</pre>
<div class="block">The feature id for the '<em><b>Tuple Attrib</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.TUPLE_TYPE__TUPLE_ATTRIB">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TUPLE_TYPE__BASE_DATA_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TUPLE_TYPE__BASE_DATA_TYPE</h4>
<pre>static final&nbsp;int TUPLE_TYPE__BASE_DATA_TYPE</pre>
<div class="block">The feature id for the '<em><b>Base Data Type</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.TUPLE_TYPE__BASE_DATA_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TUPLE_TYPE_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TUPLE_TYPE_FEATURE_COUNT</h4>
<pre>static final&nbsp;int TUPLE_TYPE_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Tuple Type</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage.TUPLE_TYPE_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBoundedSubtype--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundedSubtype</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getBoundedSubtype()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><code><em>Bounded Subtype</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Bounded Subtype</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><code>BoundedSubtype</code></a></dd>
</dl>
</li>
</ul>
<a name="getBoundedSubtype_BaseType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundedSubtype_BaseType</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getBoundedSubtype_BaseType()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getBaseType--"><code><em>Base Type</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Type</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getBaseType--"><code>BoundedSubtype.getBaseType()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype--"><code>getBoundedSubtype()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBoundedSubtype_MinValue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundedSubtype_MinValue</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getBoundedSubtype_MinValue()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getMinValue--"><code><em>Min Value</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Min Value</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getMinValue--"><code>BoundedSubtype.getMinValue()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype--"><code>getBoundedSubtype()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBoundedSubtype_MaxValue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundedSubtype_MaxValue</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getBoundedSubtype_MaxValue()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getMaxValue--"><code><em>Max Value</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Max Value</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getMaxValue--"><code>BoundedSubtype.getMaxValue()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype--"><code>getBoundedSubtype()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBoundedSubtype_IsMinOpen--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundedSubtype_IsMinOpen</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getBoundedSubtype_IsMinOpen()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#isMinOpen--"><code><em>Is Min Open</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Is Min Open</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#isMinOpen--"><code>BoundedSubtype.isMinOpen()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype--"><code>getBoundedSubtype()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBoundedSubtype_IsMaxOpen--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundedSubtype_IsMaxOpen</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getBoundedSubtype_IsMaxOpen()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#isMaxOpen--"><code><em>Is Max Open</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Is Max Open</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#isMaxOpen--"><code>BoundedSubtype.isMaxOpen()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype--"><code>getBoundedSubtype()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBoundedSubtype_Base_DataType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundedSubtype_Base_DataType</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getBoundedSubtype_Base_DataType()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getBase_DataType--"><code><em>Base Data Type</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Data Type</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getBase_DataType--"><code>BoundedSubtype.getBase_DataType()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype--"><code>getBoundedSubtype()</code></a></dd>
</dl>
</li>
</ul>
<a name="getIntervalType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIntervalType</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getIntervalType()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/IntervalType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><code><em>Interval Type</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Interval Type</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/IntervalType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><code>IntervalType</code></a></dd>
</dl>
</li>
</ul>
<a name="getIntervalType_IntervalAttrib--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIntervalType_IntervalAttrib</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getIntervalType_IntervalAttrib()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/IntervalType.html#getIntervalAttrib--"><code><em>Interval Attrib</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Interval Attrib</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/IntervalType.html#getIntervalAttrib--"><code>IntervalType.getIntervalAttrib()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getIntervalType--"><code>getIntervalType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getIntervalType_Base_DataType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIntervalType_Base_DataType</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getIntervalType_Base_DataType()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/IntervalType.html#getBase_DataType--"><code><em>Base Data Type</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Data Type</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/IntervalType.html#getBase_DataType--"><code>IntervalType.getBase_DataType()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getIntervalType--"><code>getIntervalType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCollectionType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCollectionType</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getCollectionType()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/CollectionType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><code><em>Collection Type</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Collection Type</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/CollectionType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><code>CollectionType</code></a></dd>
</dl>
</li>
</ul>
<a name="getCollectionType_CollectionAttrib--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCollectionType_CollectionAttrib</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getCollectionType_CollectionAttrib()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/CollectionType.html#getCollectionAttrib--"><code><em>Collection Attrib</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Collection Attrib</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/CollectionType.html#getCollectionAttrib--"><code>CollectionType.getCollectionAttrib()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getCollectionType--"><code>getCollectionType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCollectionType_Base_DataType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCollectionType_Base_DataType</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getCollectionType_Base_DataType()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/CollectionType.html#getBase_DataType--"><code><em>Base Data Type</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Data Type</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/CollectionType.html#getBase_DataType--"><code>CollectionType.getBase_DataType()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getCollectionType--"><code>getCollectionType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getChoiceType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChoiceType</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getChoiceType()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/ChoiceType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><code><em>Choice Type</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Choice Type</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/ChoiceType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><code>ChoiceType</code></a></dd>
</dl>
</li>
</ul>
<a name="getChoiceType_ChoiceAttrib--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChoiceType_ChoiceAttrib</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getChoiceType_ChoiceAttrib()</pre>
<div class="block">Returns the meta object for the reference list '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/ChoiceType.html#getChoiceAttrib--"><code><em>Choice Attrib</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>Choice Attrib</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/ChoiceType.html#getChoiceAttrib--"><code>ChoiceType.getChoiceAttrib()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getChoiceType--"><code>getChoiceType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getChoiceType_DefaultAttrib--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChoiceType_DefaultAttrib</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getChoiceType_DefaultAttrib()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/ChoiceType.html#getDefaultAttrib--"><code><em>Default Attrib</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Default Attrib</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/ChoiceType.html#getDefaultAttrib--"><code>ChoiceType.getDefaultAttrib()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getChoiceType--"><code>getChoiceType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getChoiceType_Base_DataType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChoiceType_Base_DataType</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getChoiceType_Base_DataType()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/ChoiceType.html#getBase_DataType--"><code><em>Base Data Type</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Data Type</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/ChoiceType.html#getBase_DataType--"><code>ChoiceType.getBase_DataType()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getChoiceType--"><code>getChoiceType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTupleType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTupleType</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getTupleType()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/TupleType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><code><em>Tuple Type</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Tuple Type</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/TupleType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><code>TupleType</code></a></dd>
</dl>
</li>
</ul>
<a name="getTupleType_TupleAttrib--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTupleType_TupleAttrib</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getTupleType_TupleAttrib()</pre>
<div class="block">Returns the meta object for the reference list '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/TupleType.html#getTupleAttrib--"><code><em>Tuple Attrib</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>Tuple Attrib</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/TupleType.html#getTupleAttrib--"><code>TupleType.getTupleAttrib()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getTupleType--"><code>getTupleType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTupleType_Base_DataType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTupleType_Base_DataType</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getTupleType_Base_DataType()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/TupleType.html#getBase_DataType--"><code><em>Base Data Type</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Data Type</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/TupleType.html#getBase_DataType--"><code>TupleType.getBase_DataType()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getTupleType--"><code>getTupleType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDataTypesFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDataTypesFactory</h4>
<pre><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes">DataTypesFactory</a>&nbsp;getDataTypesFactory()</pre>
<div class="block">Returns the factory that creates the instances of the model.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DataTypesPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html" target="_top">Frames</a></li>
<li><a href="DataTypesPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
